%define modname suhosin
%define soname %{modname}.so
%define inifile Z98_%{modname}.ini

Summary:	Suhosin extension module for PHP
Name:		php-%{modname}
Version:	0.9.35
Release:	%mkrel 1
Group:		Development/PHP
License:	PHP License
URL:		http://www.hardened-php.net/suhosin/
Source0:	http://download.suhosin.org/%{modname}-%{version}.tgz
Source1:	http://download.suhosin.org/%{modname}-%{version}.tgz.sig
# https://github.com/NewEraCracker/suhosin-patches
# See http://proxy.4rtcytech.net/github.com/NewEraCracker/suhosin-patches/tree/master/patches
Patch0:		https://raw.githubusercontent.com/NewEraCracker/suhosin-patches/master/patches/suhosin-0.9.35.bugfix.diff
BuildRequires:	php-devel >= 3:5.4.0
Epoch:		1

%description
Suhosin is an advanced protection system for PHP installations. It was designed
to protect servers and users from known and unknown flaws in PHP applications
and the PHP core. Suhosin is binary compatible to normal PHP installation,
which means it is compatible to 3rd party binary extension like ZendOptimizer.

%prep

%setup -q -n %{modname}-%{version}
%apply_patches

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
	--enable-suhosin \
	--enable-shared
%make
make test <<EOF
n
EOF

mv modules/*.so %{modname}.so

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 suhosin.ini %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%clean
rm -rf %{buildroot}

%files 
%doc CREDITS tests Changelog
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Mon May 12 2014 oden <oden> 1:0.9.35-1.mga3
+ Revision: 622117
- sync with cauldron

* Sun Mar 31 2013 blino <blino> 0.9.34-0.0.git1fba865.4.mga3
+ Revision: 406811
- fix saving sessions in PHP 5.4 with user session handlers

* Wed Jan 30 2013 oden <oden> 0.9.34-0.0.git1fba865.3.mga3
+ Revision: 393322
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 0.9.34-0.0.git1fba865.2.mga3
+ Revision: 377596
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 15 2012 spuhler <spuhler> 0.9.34-0.0.git1fba865.1.mga3
+ Revision: 270847
- Rebuilt for php-5.4
- upgrade to 0.9.34-0.0.git1fba865.1

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0.9.33-6.mga2
+ Revision: 223936
- httpd restart is handled by filetriggers now

* Sun Jan 22 2012 spuhler <spuhler> 0.9.33-5.mga2
+ Revision: 199837
- upgrade to 0.9.33

* Fri Jan 14 2011 spuhler <spuhler> 0.9.32.1-5.mga1
+ Revision: 17232
- imported package php-suhosin

